summaryrefslogtreecommitdiffstats
path: root/source/n/nfs-utils
diff options
context:
space:
mode:
Diffstat (limited to 'source/n/nfs-utils')
-rw-r--r--source/n/nfs-utils/ignore_unsupported_address_types_in_nfssvc_setfds.diff37
-rw-r--r--source/n/nfs-utils/nfs-utils-1.2.8.tar.signbin543 -> 0 bytes
-rw-r--r--source/n/nfs-utils/nfs-utils-1.3.3.tar.signbin0 -> 543 bytes
-rwxr-xr-xsource/n/nfs-utils/nfs-utils.SlackBuild17
-rw-r--r--source/n/nfs-utils/slack-desc2
5 files changed, 47 insertions, 9 deletions
diff --git a/source/n/nfs-utils/ignore_unsupported_address_types_in_nfssvc_setfds.diff b/source/n/nfs-utils/ignore_unsupported_address_types_in_nfssvc_setfds.diff
new file mode 100644
index 000000000..6384888e9
--- /dev/null
+++ b/source/n/nfs-utils/ignore_unsupported_address_types_in_nfssvc_setfds.diff
@@ -0,0 +1,37 @@
+From: Christoph Hellwig <hch at lst.de>
+Subject: nfsd: ignore unsupported address types in nfssvc_setfds
+
+Just continue and try a different record returned from getaddrinfo
+if the kernel does not support an address family. This fixes nfsd
+startup on kernels without IPv6 support.
+
+Suggested-by: Chuck Lever <chuck.lever at oracle.com>
+Signed-off-by: Christoph Hellwig <hch at lst.de>
+
+diff --git a/utils/nfsd/nfssvc.c b/utils/nfsd/nfssvc.c
+index a2b11d8..fc11d23 100644
+--- a/utils/nfsd/nfssvc.c
++++ b/utils/nfsd/nfssvc.c
+@@ -174,15 +174,14 @@ nfssvc_setfds(const struct addrinfo *hints, const char *node, const char *port)
+ sockfd = socket(addr->ai_family, addr->ai_socktype,
+ addr->ai_protocol);
+ if (sockfd < 0) {
+- if (errno == EAFNOSUPPORT)
+- xlog(L_NOTICE, "address family %s not "
+- "supported by protocol %s",
+- family, proto);
+- else
++ if (errno != EAFNOSUPPORT) {
+ xlog(L_ERROR, "unable to create %s %s socket: "
+ "errno %d (%m)", family, proto, errno);
+- rc = errno;
+- goto error;
++ rc = errno;
++ goto error;
++ }
++ addr = addr->ai_next;
++ continue;
+ }
+ #ifdef IPV6_SUPPORTED
+ if (addr->ai_family == AF_INET6 &&
+--
diff --git a/source/n/nfs-utils/nfs-utils-1.2.8.tar.sign b/source/n/nfs-utils/nfs-utils-1.2.8.tar.sign
deleted file mode 100644
index c2cde4995..000000000
--- a/source/n/nfs-utils/nfs-utils-1.2.8.tar.sign
+++ /dev/null
Binary files differ
diff --git a/source/n/nfs-utils/nfs-utils-1.3.3.tar.sign b/source/n/nfs-utils/nfs-utils-1.3.3.tar.sign
new file mode 100644
index 000000000..0fcb786fc
--- /dev/null
+++ b/source/n/nfs-utils/nfs-utils-1.3.3.tar.sign
Binary files differ
diff --git a/source/n/nfs-utils/nfs-utils.SlackBuild b/source/n/nfs-utils/nfs-utils.SlackBuild
index d3305c12f..e88004795 100755
--- a/source/n/nfs-utils/nfs-utils.SlackBuild
+++ b/source/n/nfs-utils/nfs-utils.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2008, 2009, 2010, 2011, 2013 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2011, 2013, 2016 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -21,13 +21,13 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-VERSION=1.2.8
-BUILD=${BUILD:-1}
+VERSION=1.3.3
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) export ARCH=i486 ;;
+ i?86) export ARCH=i586 ;;
arm*) export ARCH=arm ;;
# Unless $ARCH is already set, use uname -m for all other archs:
*) export ARCH=$( uname -m ) ;;
@@ -36,8 +36,8 @@ fi
NUMJOBS=${NUMJOBS:-" -j7 "}
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
elif [ "$ARCH" = "s390" ]; then
SLKCFLAGS="-O2"
elif [ "$ARCH" = "x86_64" ]; then
@@ -68,6 +68,8 @@ tar xvf $CWD/nfs-utils-$VERSION.tar.xz || exit 1
cd nfs-utils-$VERSION || exit 1
zcat $CWD/nfs-utils.lwrap.needs.lnsl.diff.gz | patch -p1 --verbose || exit 1
+# Fix problems on machines without IPv6:
+zcat $CWD/ignore_unsupported_address_types_in_nfssvc_setfds.diff.gz | patch -p1 -l --verbose || exit 1
chown -R root:root .
find . \
@@ -83,11 +85,10 @@ CFLAGS="$SLKCFLAGS" \
--prefix=/usr \
--mandir=/usr/man \
--with-statedir=/var/lib/nfs \
- --enable-nfsv3 \
--enable-mountconfig \
--enable-nfsv4=no \
--enable-gss=no \
- --enable-tirpc=no \
+ --enable-tirpc=yes \
--program-prefix= \
--program-suffix= \
--build=$ARCH-slackware-linux
diff --git a/source/n/nfs-utils/slack-desc b/source/n/nfs-utils/slack-desc
index 158b4a97c..09eefaa44 100644
--- a/source/n/nfs-utils/slack-desc
+++ b/source/n/nfs-utils/slack-desc
@@ -11,7 +11,7 @@ nfs-utils:
nfs-utils: The nfs-utils package contains the necessary daemons and utilities to
nfs-utils: run an NFS server on Linux.
nfs-utils:
-nfs-utils: You'll also need the portmap package to use NFS.
+nfs-utils: You'll also need the rpcbind package to use NFS.
nfs-utils:
nfs-utils:
nfs-utils: